List Models
curl --request GET \
--url https://api.voxnexus.ai/v1/models \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.voxnexus.ai/v1/models"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.voxnexus.ai/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"models": [
{
"model_id": "vn-tts-ultra",
"name": "VoxNexus TTS Ultra",
"capability_type": "tts",
"description": "High quality text-to-speech model"
}
]
}{
"error": "Invalid request parameters",
"code": "INVALID_REQUEST",
"details": "Detailed error information",
"request_id": "req_1234567890"
}{
"error": "Invalid request parameters",
"code": "INVALID_REQUEST",
"details": "Detailed error information",
"request_id": "req_1234567890"
}models
List Models
Get available model list, supports filtering by capability type.
GET
/
v1
/
models
List Models
Authorizations
Authenticate using X-Api-Key header
Query Parameters
Filter by capability type (optional)
Available options:
tts, stt, tts_realtime, stt_realtime, translate, llm_transform Response
Successfully returns model list
Model list
Show child attributes
Show child attributes
⌘I